<div class="create-edit-employee">
  <div class="create-edit-employee__error-message" *ngIf="errorMessage">
    <i class="create-edit-employee__icon material-icons">warning</i>
    <span>
      {{ errorMessage }}
    </span>
  </div>
  <h3> {{ isEditing ? 'Update employee' : 'Create employee' }} </h3>
  <form [formGroup]="createEditUserForm">
    <app-form-field [labelText]="'User Name'" [isRequired]="true">
      <input class="form-group__input"
             type="text"
             formControlName="userName"
      />
      <span class="form-group__error" *ngIf="userName?.errors && (userName?.dirty || userName?.touched)">
        {{ userName?.errors?.required ? 'Field is mandatory' : 'Wrong pattern' }}
      </span>
    </app-form-field>
    <app-form-field [labelText]="'Phone'" [isRequired]="true">
      <input class="form-group__input"
             type="text"
             formControlName="phoneNumber"
      />
      <span class="form-group__error" *ngIf="phone?.errors && (phone?.dirty || phone?.touched)">
        {{ phone?.errors?.required ? 'Field is mandatory' : 'Wrong pattern' }}
      </span>
    </app-form-field>
    <app-form-field [labelText]="'Role'" [isRequired]="true">
      <input class="form-group__input"
             type="text"
             formControlName="role"
      />
      <span class="form-group__error" *ngIf="role?.errors && (role?.dirty || role?.touched)">
        {{ role?.errors?.required ? 'Field is mandatory' : 'Wrong pattern' }}
      </span>
    </app-form-field>
    <app-form-field [labelText]="'Name'" [isRequired]="true">
      <input class="form-group__input"
             type="text"
             formControlName="name"
      />
      <span class="form-group__error" *ngIf="name?.errors && (name?.dirty || name?.touched)">
        {{ name?.errors?.required ? 'Field is mandatory' : 'Wrong pattern' }}
      </span>
    </app-form-field>
    <div class="create-edit-employee__buttons">
      <!-- Quick way to check the form, but can be done by valueChanges -->
      <button class="btn btn--red"
              (click)="onCancelClick()"
      >
        cancel
      </button>
      <button class="btn btn--green"
              [disabled]="!createEditUserForm.valid"
              (click)="submitEmployee(createEditUserForm.value)"
      >
        {{ isEditing ? 'Update' : 'Create' }}
      </button>
    </div>
  </form>
</div>
